Package org.xnio.channels

# Interface ProtectedWrappedChannel<C extends Channel>

Type Parameters:
  `C` - the wrapped channel type

All Known Implementing Classes:
  `FixedLengthStreamSinkChannel`, `FixedLengthStreamSourceChannel`

public interface ProtectedWrappedChannel<C extends Channel>
A protected, wrapped channel. A guard object is required to gain access to the underlying channel.

Author:
  David M. Lloyd

## Method Summary

Modifier and Type
Method
Description
`C`
`getChannel(Object guard)`
Get the channel which is wrapped by this object, or `null` if the guard is invalid.

## Method Details

### getChannel

C getChannel(Object guard)
Get the channel which is wrapped by this object, or `null` if the guard is invalid.

Parameters:
  `guard` - the guard object
Returns:
  the wrapped channel